%define packname  acepack
%define packrel   2.2

Name:             R-%{packname}
Version:          1.3
Release:          4%{?dist}
Summary:          ACE and AVAS methods for choosing regression transformations

Group:            Applications/Productivity
License:          Public Domain and MIT
URL:              http://cran.r-project.org/src/contrib/Descriptions/acepack.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}-%{packrel}.tar.gz
Source1:          ace-copyright.txt
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:         R
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel >= 2.5.0, gcc-gfortran

%description
ACE and AVAS (additivity and variance stabilization) are used to estimate 
transformations for regression.

%prep
%setup -c -q -n %{packname}
cp %{SOURCE1} .
%build

%install
%{__rm} -rf %{buildroot}

mkdir -p %{buildroot}%{_libdir}/R/library
R CMD INSTALL %{packname} -l %{buildroot}%{_libdir}/R/library 
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
%{__rm} -rf %{buildroot}%{_libdir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
%{__rm} -rf %{buildroot}

%post 
%{_R_make_search_index}

%postun
%{_R_make_search_index}

%files
%defattr(-, root, root, -)
%dir %{_libdir}/R/library/%{packname}
%doc %{_libdir}/R/library/%{packname}/latex
%doc %{_libdir}/R/library/%{packname}/html
%doc %{_libdir}/R/library/%{packname}/man
%doc %{_libdir}/R/library/%{packname}/DESCRIPTION
%doc ace-copyright.txt
%{_libdir}/R/library/%{packname}/CONTENTS
%{_libdir}/R/library/%{packname}/INDEX
%{_libdir}/R/library/%{packname}/libs/
%{_libdir}/R/library/%{packname}/Meta
%{_libdir}/R/library/%{packname}/R
%{_libdir}/R/library/%{packname}/R-ex
%{_libdir}/R/library/%{packname}/help

%changelog
* Wed Feb 13 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.3-4
- rebuild for new gcc

* Mon Jan  7 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 1.3-3
- BuildRequires: R-devel rather than just R

* Tue Nov 20 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.3-2
- BuildRequires: gfortran

* Tue Oct 30 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.3-1
- initial package for Fedora
